=== debian/changelog ===
juju-quickstart (1.3.1-0ubuntu1.1) trusty; urgency=medium

  * Cherry-pick bugfixes from 1.3.2:
    - Make control bucket optional (LP: #1309678).
    - Support Trusty environments (LP: #1306537).
    - Check unicode support (LP: #1311321).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Jul 2014 16:47:16 +0000

juju-quickstart (1.3.1-0ubuntu1) trusty; urgency=medium

  * New upstream release. Upstream changes:
    - Support MachineInfo addresses (LP: #1301464).
    - Support the --ppa flag for distro packaging (for LP: #1301481).
  * d/p/distro-only-default: default to --distro-only when running
    juju-quickstart installed from the Ubuntu archive (LP: #1301481).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 09 Apr 2014 09:03:59 +0000

juju-quickstart (1.3.0-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1282630).
  * Drop patch now included in release: d/p/trusty-jujuclient.

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 02 Apr 2014 14:02:36 +0000

juju-quickstart (1.1.0-0ubuntu2) trusty; urgency=medium

  * Add test dependencies to Build-Depends.
  * d/p/trusty-jujuclient: make quickstart use the newer python-jujuclient
    included in Trusty. This was required for tests to pass.
  * Run tests on package build.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 17 Mar 2014 16:27:26 +0000

juju-quickstart (1.1.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 20 Feb 2014 15:35:59 +0000

juju-quickstart (1.0.0-0ubuntu1) trusty; urgency=medium

  * Initial release.

 -- James Page <james.page@ubuntu.com>  Fri, 31 Jan 2014 17:13:54 +0000
