=== debian/watch ===
version=3
https://pypi.python.org/packages/source/j/juju-quickstart/juju-quickstart-(.*)\.tar\.gz
