## juju-quickstart 1.4.2

=== debian/changelog ===
juju-quickstart (1.4.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - Support the lxc-clone and lxc-clone-aufs options.
    - support pass through of --upload-tools --upload-series and 
      --constraints from quickstart to bootstrap (LP: #1274584)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 21 Aug 2014 15:41:55 -0400

juju-quickstart (1.4.1-0ubuntu1) utopic; urgency=medium

  * New upstream release.
    - Includes support for Juju 1.20 (LP: #1337831).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 08 Jul 2014 10:57:02 +0000

juju-quickstart (1.4.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 26 Jun 2014 17:48:19 +0000
