## juju-quickstart 1.6.0

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 $(VENV_ACTIVATE): test-requirements.pip requirements.pip
 	virtualenv --distribute -p $(PYTHON) $(VENV)
-	$(VENV)/bin/pip install --use-mirrors -r test-requirements.pip || \
+	$(VENV)/bin/pip install -r test-requirements.pip || \
 		(touch test-requirements.pip; exit 1)
 	@touch $(VENV_ACTIVATE)
