=== debian/changelog ===
juju-quickstart (1.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 15 Jan 2015 16:32:22 +0000

juju-quickstart (1.5.0-0ubuntu2) vivid; urgency=medium

  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 17:45:54 +0000

juju-quickstart (1.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * d/control: version the python-jujuclient build-depends, since tests
    fail if an older version is used. This reflects the current
    requirements.pip line.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 08 Jan 2015 15:14:22 +0000
