=== debian/control ===
Source: juju-quickstart
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francesco Banconi <francesco.banconi@canonical.com>
Standards-Version: 3.9.5
Build-Depends:
 debhelper (>= 8~),
 python-all,
 python-setuptools,
 python-nose,
 python-jujuclient (>= 0.18.4),
 python-mock,
 python-urwid,
 python-yaml
XS-Python-Version: all
Homepage: https://launchpad.net/juju-quickstart
XS-Testsuite: autopkgtest

Package: juju-quickstart
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Easy configuration of Juju environments
 Juju Quickstart is a Juju plugin which supports easy configuration of a Juju
 environment. The environment is bootstrapped and set up that it can be
 managed using the Juju GUI.
