=== debian/tests/control ===
Tests: smoke
Depends: juju-core, juju-local, juju-quickstart
Restrictions: isolation-machine allow-stderr
